package com.hzya.frame.sysnew.messageManage.entity;

import com.hzya.frame.sysnew.messageManageDetail.entity.SysMessageManageDetailEntity;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 * 消息管理主表(SysMessageManage)实体类
 *
 * @author makejava
 * @since 2023-08-28 16:45:45
 */
public class SysMessageManageEntity extends BaseEntity {
 
  /**  消息主题 */
   private String theme;
  /**  消息编码 */
   private String code;
  /**  发送者应用 */
   private String sendApp;
  /**  发送者 */
   private String sendApi;
  /**  数据类型（1、对象 2、数组） */
   private String dataType;
  /**  备注 */
   private String remark;

    private Integer sorts;
  /**  明细表数据 */
   private List<SysMessageManageDetailEntity> detailList;


    public String getTheme() {
        return theme;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSendApp() {
        return sendApp;
    }

    public void setSendApp(String sendApp) {
        this.sendApp = sendApp;
    }

    public String getSendApi() {
        return sendApi;
    }

    public void setSendApi(String sendApi) {
        this.sendApi = sendApi;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<SysMessageManageDetailEntity> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<SysMessageManageDetailEntity> detailList) {
        this.detailList = detailList;
    }



    public void setSorts(Integer sorts) {
        this.sorts = sorts;
    }
}

